Skip to main content
POST
/
agents
/
{agentId}
/
oauth
/
authorize
Start agent OAuth flow
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/storefront/agents/{agentId}/oauth/authorize \
  --header 'Authorization: Bearer <token>'
{
  "authorizationUrl": "<string>",
  "agentId": "<string>",
  "agentName": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentic.scope3.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

agentId
string
required
Minimum string length: 1

Response

Start agent OAuth flow

Response containing OAuth authorization URL

authorizationUrl
string<uri>
required

URL to redirect the user to for OAuth authorization

agentId
string
required

Agent identifier

agentName
string
required

Agent display name